summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMilosz Wasilewski <milosz.wasilewski@linaro.org>2017-11-01 11:25:55 +0000
committerMilosz Wasilewski <milosz.wasilewski@linaro.org>2017-11-01 11:25:55 +0000
commitcacf738816d2400c1f5d17210258abd86eb95f34 (patch)
tree619ee609a5be83059005d218d2570e075ac3b567
parenta1773adfbb2773f96492f26e3bbaf87bc4252c9f (diff)
automated: ltp: prevent failing LAVA job if rm TMP_DIR fails
Change-Id: I0f116bdfa49442bcddc2edc537e388c09ea566a7 Signed-off-by: Milosz Wasilewski <milosz.wasilewski@linaro.org>
-rwxr-xr-xautomated/linux/ltp/ltp.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/automated/linux/ltp/ltp.sh b/automated/linux/ltp/ltp.sh
index e4d8fd6..91a66ff 100755
--- a/automated/linux/ltp/ltp.sh
+++ b/automated/linux/ltp/ltp.sh
@@ -97,7 +97,8 @@ run_ltp() {
parse_ltp_output "${OUTPUT}/LTP_${LOG_FILE}.log"
# Cleanup
- rm -rf "${LTP_TMPDIR}"
+ # don't fail the whole test job if rm fails
+ rm -rf "${LTP_TMPDIR}" || true
}
# Test run.